Gtk2::Viewport(3)

NAME
Gtk2::Viewport - wrapper for GtkViewport

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Viewport

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Viewport->new ($hadjustment=undef, $vadjustment=undef)

•   $hadjustment (Gtk2::Adjustment or undef)

•   $vadjustment (Gtk2::Adjustment or undef)

  window or undef = $viewport->get_bin_window
Since: gtk+ 2.20

  adjustment = $viewport->get_hadjustment

  $viewport->set_hadjustment ($adjustment)

•   $adjustment (Gtk2::Adjustment)

  shadowtype = $viewport->get_shadow_type

  $viewport->set_shadow_type ($type)

•   $type (Gtk2::ShadowType)

  adjustment = $viewport->get_vadjustment

  $viewport->set_vadjustment ($adjustment)

•   $adjustment (Gtk2::Adjustment)

  window or undef = $viewport->get_view_window
Since: gtk+ 2.22

PROPERTIES

'hadjustment' (Gtk2::Adjustment : default undef : readable / writable / construct / private)
    The GtkAdjustment that determines the values of the horizontal position for this viewport

'shadow-type' (Gtk2::ShadowType : default "in" : readable / writable / private)
    Determines how the shadowed box around the viewport is drawn

'vadjustment' (Gtk2::Adjustment : default undef : readable / writable / construct / private)
    The GtkAdjustment that determines the values of the vertical position for this viewport

SIGNALS

set-scroll-adjustments (Gtk2::Viewport, Gtk2::Adjustment, Gtk2::Adjustment)

ENUMS AND FLAGS

  enum Gtk2::ShadowType
•   'none' / 'GTK_SHADOW_NONE'

•   'in' / 'GTK_SHADOW_IN'

•   'out' / 'GTK_SHADOW_OUT'

•   'etched-in' / 'GTK_SHADOW_ETCHED_IN'

•   'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.